<p align="center">
  <img width="120" height="120" src="https://github.com/yang991178/fluent-reader/raw/master/build/icon.png">
</p>
<h3 align="center">Fluent Reader Lite</h3>
<p align="center">A simplistic mobile RSS client</p>
<hr />

## Download

### Stable Version

The stable version of the app will be released on App Store and Google Play Store when it is ready.

### Beta Version

- iOS: [Download from TestFlight](https://testflight.apple.com/join/9fwRtH8C)
- Android: [Download from GitHub Releases](https://github.com/yang991178/fluent-reader-lite/releases)

### Desktop App

The repo of the full-featured desktop app [can be found here](https://github.com/yang991178/fluent-reader).

## Features

<p align="center">
  <img src="https://github.com/yang991178/fluent-reader-lite/raw/master/assets/demo/demo.png">
</p>

Fluent Reader Lite is a simplistic, cross-platform, and open-source RSS client.

The following self-hosted or commercial RSS services are supported.

- Fever API (TT-RSS Fever plugin, Fresh RSS, Miniflux, etc.)
- Google Reader API (Bazqux Reader, The Old Reader, etc.)
- Inoreader
- Feedbin (official or self-hosted)

Other key features include:

- Dark mode for UI and reading.
- Configure sources to load full content or webpage by default.
- A dedicated subscriptions tab organized by latest updates with article titles.
- Search for local articles or filter by read status.
- Organize subscriptions with groups.
- Support for two-pane view on iPad and Android tablets.

The following features from the desktop app are **NOT** present:

- Local RSS support and source / group management.
- Importing or exporting OPML files, full application data backup & restoration.
- Regular expression rules that mark articles as they arrive.
- Fetch articles in the background and send push notifications.
- Keyboard shortcuts.

## Development

### Contribute

Help make Fluent Reader better by reporting bugs or opening feature requests through [GitHub issues](https://github.com/yang991178/fluent-reader-lite/issues). 

You can also help internationalize the app by providing [translations into additional languages](https://github.com/yang991178/fluent-reader-lite/tree/master/lib/l10n). 
You can read more about ARB files [here](https://localizely.com/flutter-arb) or [here](https://github.com/google/app-resource-bundle/wiki/ApplicationResourceBundleSpecification). 

If you enjoy using this app, consider supporting its development by donating through [Paypal](https://www.paypal.me/yang991178) or [Alipay](https://hyliu.me/fluent-reader/imgs/alipay.jpg).

### Build from source

See [Flutter documentation](https://flutter.dev/docs).

### Developed with

- [Flutter](https://github.com/flutter/flutter)
- [Mercury Parser](https://github.com/postlight/mercury-parser)

### License

BSD
